# Drone Discord Webhook

This is a plugin for the [Drone CI/CD](https://www.drone.io/) tool which purpose is to post messages after each builds completed or failed.

## How to use it?

There are 3 environment variable that can be set.

(Required) `WEBHOOK_URL`: The url of the webhook that will send the status message

(Optionnal) `AVATAR`: Url of an image that'll be used for the webhook user.

(Optionnal) `USERNAME`: Username of the avatar that'll be assigned to the webhook.  

```yaml
- name: Send discord notification
    image: r.regnault.dev/drone-discord-webhook
    environment:
      AVATAR: "Optionnal webhook avatar url"
      USERNAME: "Optionnal webhook username"
      WEBHOOK_URL:
        from_secret: WEBHOOK_URL
    when:
      status: [ success, failure, changed ]
```

## How does it look?

![Screen showing the embed appearance of the webhook message](images/image.png)